%global momorel 8

%global _sbindir /sbin

Name: btrfs-progs
Version: 0.19
Release: %{momorel}m%{?dist}
Summary: Utilities for btrfs filesystems
License: GPLv2+
Group: System Environment/Base
URL: http://btrfs.wiki.kernel.org/
Source0: http://www.kernel.org/pub/linux/kernel/people/mason/btrfs/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: btrfs-progs-fix-labels.patch
Patch1: btrfs-progs-build-everything.patch
Patch2: btrfs-progs-valgrind.patch
Patch3: btrfs-progs-fix-return-value.patch
Patch4: btrfs-progs-build-fixes.patch
Patch5: btrfs-progs-upstream.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: e2fsprogs-devel
BuildRequires: libcom_err-devel
BuildRequires: libuuid-devel
BuildRequires: zlib-devel

%description
Utilities for manipulating btrfs filesystems.

%prep
%setup -q
%patch0 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch1 -p1

%build
%make 
%make LDFLAGS="-lcom_err" convert

%install
rm -rf --preserve-root %{buildroot}
make mandir=%{_mandir} bindir=%{_sbindir} install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL 
%{_sbindir}/btrfsctl
%{_sbindir}/btrfsck
%{_sbindir}/mkfs.btrfs
%{_sbindir}/btrfs-debug-tree
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-show
%{_sbindir}/btrfs-vol
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfstune
%{_sbindir}/btrfs
%{_sbindir}/btrfs-map-logical
%{_mandir}/man8/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-8m)
- full rebuild for mo7 release

* Thu May 20 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-7m)
- import patches from Fedora 13 (0.19-12)
- revise BuildReqs

* Sat May  1 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-6m)
- explicitly link libcom_err

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-5m)
- use BuildRequires

* Thu Feb 18 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-4m)
- apply glibc212 patch

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Jul 31 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19-2m)
- install all tools

* Thu Jun 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19-1m)
- update 0.19

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.18-2m)
- rebuild against rpm-4.6

* Mon Jan 19 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.18-1m)
- update 0.18

* Fri Jan 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.17-2m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Thu Jan 15 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.17-1m)
- update 0.17

* Sun Aug 24 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.16-1m)
- update 0.16

* Mon Jun  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.15-1m)
- update 0.15

* Sun May 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14-1m)
- update 0.14
- change URL

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.13-2m)
- rebuild against gcc43

* Sun Feb 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13-1m)
- update 0.13

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12-1m)
- update 0.12

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11-2m)
- %%NoSource -> NoSource

* Fri Jan 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11-1m)
- update 0.11

* Wed Dec  5 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9-1m)
- update 0.9

* Wed Nov  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-1m)
- update 0.8

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6-1m)
- update 0.6

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-2m)
- change install path. /usr/bin -> /sbin

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-1m)
- Initial Commit

